# $Revision: 1.36 $, $Date: 2005/06/08 20:35:55 $
Summary:	Raw VBI, Teletext and Closed Caption decoding library
Summary(pl):	Biblioteka dekodujca VBI
Name:		zvbi
Version:	0.2.16
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/zapping/%{name}-%{version}.tar.bz2
# Source0-md5:	6ed822ae5d0766129bfa1508394b6ac0
URL:		http://zapping.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to read from raw VBI sampling
devices, to demodulate raw to sliced VBI data, and to interpret the
data of several popular services. It has been written for the Zapping
TV viewer <http://zapping.sourceforge.net/>.

%description -l pl
VBI jest skrtem od Vertical Blanking Interval, czyli interwa
wygaszania pionowego, ktry jest odstpem pomidzy danymi obrazu
transmitowanymi w analogowym sygnale wideo. Ten odstp jest uywany do
transmisji danych rozmaitych usug takich, jak teletekst i Closed
Caption, modulowanych w AM.

Biblioteka zvbi udostpnia funkcje do odczytu z surowych urzdze
prbkujcych VBI, do demodulacji surowych danych VBI i do
interpretacji tych danych dla kilku popularnych usug. Zostaa ona
napisana dla programu TV Zapping <http://zapping.sourceforge.net/>.

%package devel
Summary:	zvbi heades files
Summary(pl):	Pliki nagwkowe do zvbi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpng-devel

%description devel
Header files and documentation for the support library for the zvbi
library.

%description devel -l pl
Pliki nagwkowe i dokumentacja do zvbi.

%package static
Summary:	Static zvbi library
Summary(pl):	Biblioteka statyczna zvbi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static zvbi library.

%description static -l pl
Statyczna biblioteka zvbi.

%prep
%setup -q

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS README TODO
%attr(755,root,root) %{_bindir}/zvbi-chains
%attr(755,root,root) %{_sbindir}/zvbid
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog doc/html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man?/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zvbi.spec,v $
Revision 1.36  2005/06/08 20:35:55  saq
- up to 0.2.16

Revision 1.35  2005/04/07 07:13:50  charles
- updated to 0.2.15

Revision 1.34  2005/02/26 12:37:18  charles
- updated to 0.2.13

Revision 1.33  2005/01/20 06:21:31  charles
- updated to 0.2.12

Revision 1.32  2005/01/08 08:07:21  pascalek
- updated to 0.2.11

Revision 1.31  2004/11/15 11:53:39  aflinta
- fixed manual entry

Revision 1.30  2004/11/14 16:02:49  aflinta
- up to version 0.2.9

Revision 1.29  2004/05/24 21:02:30  qboosh
- updated to 0.2.8

Revision 1.28  2004/04/10 19:51:58  qboosh
- updated to 0.2.7 (now with DVB support)

Revision 1.27  2003/10/24 13:46:18  trojan
- updated to 0.2.5

Revision 1.26  2003/09/02 09:15:21  qboosh
- cleanups, BR+R: libpng-devel
- removed libunicode deps - not needed with glibc >= 2.1

Revision 1.25  2003/09/01 16:24:55  undefine
- BR: gettext-devel

Revision 1.24  2003/09/01 16:23:25  undefine
- add missing gettextize macro.

Revision 1.23  2003/08/18 08:09:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/06/22 10:59:31  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.21  2003/05/26 16:25:55  malekith
- massive attack: adding Source-md5

Revision 1.20  2003/05/25 06:28:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/03/02 15:48:01  aflinta
- updated to version 0.2.4

Revision 1.18  2002/12/19 02:18:00  aflinta
- updated to version 0.2.3

Revision 1.17  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.16  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.15  2002/10/30 21:07:47  aflinta
- regeneration is back

Revision 1.14  2002/10/12 08:02:36  ankry
- fixed typo in BR

Revision 1.13  2002/10/11 16:54:20  aflinta
- added BR doxygen

Revision 1.12  2002/10/11 16:51:27  aflinta
- removed obsoleted patch and regeneration functions

Revision 1.11  2002/10/11 16:41:14  aflinta
- updated to version 0.2.2

Revision 1.10  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.8  2002/08/24 09:37:17  kloczek
- License changed to GPL v2.

Revision 1.7  2002/08/22 21:14:46  aflinta
- upgraded to version 0.2.1

Revision 1.6  2002/06/30 13:41:50  kloczek
- release 2: use new %doc.

Revision 1.5  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/21 23:15:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/04/04 07:53:00  kloczek
- added ac_fixes patch and full regenerate ac/am/lt files,
- added libunicode-devel to BuildRequires and to Requires list in devel,
- minor changes.

Revision 1.2  2002/04/04 01:36:06  saq
- better descriptions

Revision 1.1  2002/04/04 01:25:38  saq
- new spec
